# $Revision: 1.5 $, $Date: 2007/02/13 07:47:14 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	POE
%define		pnam	Component-Logger
Summary:	POE::Component::Logger - a POE logging class
Summary(pl.UTF-8):	POE::Component::Logger - klasa logująca dla POE
Name:		perl-POE-Component-Logger
Version:	1.00
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	b36cfad2d2d446103cbcf671270681ff
URL:		http://poe.perl.org/
BuildRequires:	perl-POE
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Log-Dispatch-Config
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A highly flexible logger component for POE that uses Log::Dispatch and
Log::Dispatch::Config for ultimate flexibility and power.

%description -l pl.UTF-8
Bardzo elastyczny komponent logujący dla POE, używający Log::Dispatch
i Log::Dispatch::Config dla maksymalnej elastyczności i mocy.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/POE/Component/Logger.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-POE-Component-Logger.spec,v $
Revision 1.5  2007/02/13 07:47:14  glen
- tabs in preamble

Revision 1.4  2007/02/12 00:49:43  baggins
- converted to UTF-8

Revision 1.3  2006/10/26 16:27:22  ankry
- rel. 1

Revision 1.2  2005/08/27 07:57:45  qboosh
- pl, md5

Revision 1.1  2005/08/24 10:58:32  agaran
- initial, works for me
